<?php

/**
 * NOTE: This file is auto generated by OpenAPI Generator.
 * Do NOT edit it manually. Run `php artisan openapi:generate-server`.
 */

namespace App\Http\ApiV1\OpenApiGenerated\Enums;

class MarketingDiscountTypeEnum
{
    public const DISCOUNT_TYPE_OFFER = 1;
    public const DISCOUNT_TYPE_BUNDLE = 2;
    public const DISCOUNT_TYPE_BRAND = 3;
    public const DISCOUNT_TYPE_CATEGORY = 4;
    public const DISCOUNT_TYPE_DELIVERY = 5;
    public const DISCOUNT_TYPE_CART_TOTAL = 6;

    /**
     * @return int[]
     */
    public static function cases(): array
    {
        return [
            self::DISCOUNT_TYPE_OFFER,
            self::DISCOUNT_TYPE_BUNDLE,
            self::DISCOUNT_TYPE_BRAND,
            self::DISCOUNT_TYPE_CATEGORY,
            self::DISCOUNT_TYPE_DELIVERY,
            self::DISCOUNT_TYPE_CART_TOTAL,
        ];
    }
}
